## cjs 4.8.2

=== debian/changelog ===
cjs (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:23:59 +0900

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>
Build-Depends:
 autoconf-archive,
 dbus,
 debhelper (>= 11~),
 gnome-pkg-tools,
 meson,
 gobject-introspection (>= 1.46.0),
 libcairo2-dev,
 libffi-dev (>= 3.3),
 libgirepository1.0-dev (>= 1.62.0-4~),
 libglib2.0-dev (>= 2.42.0),
 libgtk-3-dev,
 libmozjs-78-dev,
 libreadline-dev,
 libxml2-utils,
 pkg-kde-tools,
 pkg-config,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git

Package: cjs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.
Breaks: cinnamon (<< 4.8~)

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends:
 cjs,
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.41.4),
 libglib2.0-dev (>= 2.42.0),
 libgtk-3-dev,
 libmozjs-78-dev,
 ${misc:Depends},
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 4.6.7-2)
Description: Mozilla-based javascript bindings for the GNOME platform
 Makes it possible for applications to use all of GNOME's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This is the shared library applications link to.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=gir,gnome,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
	  -Dinstalled_tests=false

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_strip:
	dh_strip --dbgsym-migration='libcjs-dbg (<< 3.0.1-1~)' || dh_strip

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	# Disable
	# make -k check VERBOSE=1
	:

## cjs 4.8.2+ulyssa

=== debian/changelog ===
cjs (4.8.2+ulyssa) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Rebase on 1.66.1 (#90)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:10:48 +0000

cjs (4.8.1) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Fix bogus volatile caught by gcc-11
  * fix build with clang

  [ Michael Webster ]
  * meson: Respect the minimum meson version required (0.49.2).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:14:29 +0000

cjs (4.8.0) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Rebase on GJS 1.66 and Mozjs78 (#84)
  * Fix tests (#85)

  [ Michael Webster ]
  * deprecation.cpp: Add additional info to ByteArray deprecation warning, and link to the xlet versioning tutorial page.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2020 12:17:50 +0000

cjs (4.6.0) ulyana; urgency=medium

  [ Garry Filakhtov ]
  * Fix two broken test cases

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 13:45:37 +0100

## cjs 5.0.0

=== debian/changelog ===
cjs (5.0.0-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * d/patches: object.cpp: Defer processing an object, rather than crash,
    when a toggle unref is already queued

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:20:22 +0900

cjs (5.0.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.0
  * Use debhelper-compat and dump to dh-compat 13

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:20:56 +0900

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,26 @@
  Fabio Fantoni <fantonifabio@tiscali.it>,
  Norbert Preining <norbert@preining.info>
 Build-Depends:
- autoconf-archive,
- dbus,
- debhelper (>= 11~),
+ at-spi2-core <!nocheck>,
+ dbus <!nocheck>,
+ dbus-x11 <!nocheck>,
+ debhelper-compat (= 13),
  gnome-pkg-tools,
- meson,
- gobject-introspection (>= 1.46.0),
+ gobject-introspection (>= 1.58.3),
  libcairo2-dev,
  libffi-dev (>= 3.3),
  libgirepository1.0-dev (>= 1.62.0-4~),
- libglib2.0-dev (>= 2.42.0),
+ libglib2.0-dev (>= 2.58.0),
  libgtk-3-dev,
  libmozjs-78-dev,
  libreadline-dev,
  libxml2-utils,
+ meson (>= 0.49.2),
+ pkg-config (>= 0.28),
  pkg-kde-tools,
- pkg-config,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+Rules-Requires-Root: no
 Standards-Version: 4.1.4
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
@@ -50,11 +54,10 @@
  cjs,
  libcairo2-dev,
  libcjs0 (= ${binary:Version}),
- libgirepository1.0-dev (>= 1.41.4),
- libglib2.0-dev (>= 2.42.0),
- libgtk-3-dev,
+ libgirepository1.0-dev (>= 1.58.3),
  libmozjs-78-dev,
  ${misc:Depends},
+Multi-Arch: same
 Description: Mozilla-based javascript bindings for the Cinnamon platform
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=gir,gnome,pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
	  -Dinstalled_tests=false

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_test:
	# Disable
	# make -k check VERBOSE=1
	:

## cjs 5.0.1%2Bdebbie

=== debian/changelog ===
cjs (5.0.1+debbie) uma; urgency=medium

  [ Eli Schwartz ]
  * fix failing test checking for version number (#94)

  [ Michael Webster ]
  * object.cpp: Defer processing an object, rather than crash, when a toggle unref is already queued.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:42:55 +0100

cjs (5.0.0) uma; urgency=medium

  [ Leigh Scott ]
  * fix readline build on certain systems
  * overrides/Gtk: Set BuilderScope in class init
  * gi/wrapperutils: Move gjs_get_string_id() into resolve() implementations
  * Revert "arg-cache: Save space by not caching GType"
  * Fixed error in _init() that prevented GType objects from being created. Improved the regression test, implementing Marco T's feedback.
  * Update NEWS for 1.66.1
  * Update NEWS for 1.66.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 May 2021 15:00:53 +0100

cjs (4.8.2) ulyssa; urgency=medium

  [ Leigh Scott ]
  * Rebase on 1.66.1 (#90)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Jan 2021 11:10:48 +0000

## cjs 5.0.1+uma

=== debian/changelog ===
cjs (5.0.1+uma) uma; urgency=medium

  [ Eli Schwartz ]
  * fix failing test checking for version number (#94)

  [ Michael Webster ]
  * object.cpp: Defer processing an object, rather than crash, when a toggle unref is already queued.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Oct 2021 15:42:55 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_BUILD_OPTIONS = nocheck

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		-Dinstalled_tests=false \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	obj-$(DEB_HOST_GNU_TYPE)/cjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4

## cjs 5.2.0

=== debian/changelog ===
cjs (5.2.0-2) unstable; urgency=medium

  * Remove d/patch workaround for FTBFS with meson 0.60.2,
    was meson regression solved in 0.60.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 15 Jan 2022 10:57:35 +0100

cjs (5.2.0-1) experimental; urgency=medium

  [ Joshua Peisach ]
  * New upstream version 5.2.0
  * Add myself as Uploader
  * Bump cinnamon conflict versions to 5.0
  * Bump watch version to 4
  * Remove as-needed linker flag
  * Remove a patch applied upstream
  * Bump Standards-Version to 4.6.0.1, no changes required
  * Add missing copyright field

  [ Fabio Fantoni ]
  * removed pkg-kde-tools build-dep as not needed anymore
  * Use dh-sequence-gir and dh-sequence-gnome
  * d/patches: fix build with meson >=0.60.2 (Closes: #1002110)
  * d/control: improve packages description

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 26 Dec 2021 13:46:09 +0100

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>
Build-Depends:
 at-spi2-core <!nocheck>,
 dbus <!nocheck>,
 dbus-x11 <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-gnome,
 gobject-introspection (>= 1.58.3),
 libcairo2-dev,
 libffi-dev (>= 3.3),
 libgirepository1.0-dev (>= 1.62.0-4~),
 libglib2.0-dev (>= 2.58.0),
 libgtk-3-dev,
 libmozjs-78-dev,
 libreadline-dev,
 libxml2-utils,
 meson (>= 0.49.2),
 pkg-config (>= 0.28),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git

Package: cjs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.
Breaks: cinnamon (<< 5.0~)

Package: libcjs-dev
Section: libdevel
Architecture: any
Depends:
 cjs,
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.58.3),
 libmozjs-78-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Development files for the javascript bindings for Cinnamon
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 5.0~)
Description: Library of the javascript bindings for the Cinnamon
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the shared library, used by cjs itself, and cinnamon.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -Dinstalled_tests=false

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_test:
	# Disable
	# make -k check VERBOSE=1
	:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cjs-$1.tar.gz%" \
   https://github.com/linuxmint/cjs/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cjs 5.2.0+una

=== debian/changelog ===
cjs (5.2.0+una) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:39:00 +0000

cjs (5.0.1) uma; urgency=medium

  [ Eli Schwartz ]
  * fix failing test checking for version number (#94)

  [ Michael Webster ]
  * object.cpp: Defer processing an object, rather than crash, when a toggle unref is already queued.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:19:43 +0000

## cjs 5.4.0

=== debian/changelog ===
cjs (5.4.0-1) experimental; urgency=medium

  * New upstream version 5.4.0
  * Simplify d/watch
  * Various packaging changes for upstream gjs 1.70.0-4 rebase
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 22:32:37 +0200

=== debian/control ===
--- 
+++ 
@@ -15,28 +15,27 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  dh-sequence-gnome,
- gobject-introspection (>= 1.58.3),
+ gir1.2-gtk-3.0,
+ gobject-introspection (>= 1.64),
  libcairo2-dev,
  libffi-dev (>= 3.3),
- libgirepository1.0-dev (>= 1.62.0-4~),
- libglib2.0-dev (>= 2.58.0),
- libgtk-3-dev,
- libmozjs-78-dev,
+ libgirepository1.0-dev (>= 1.64),
+ libglib2.0-dev (>= 2.66.0),
+ libmozjs-78-dev (>= 78.2.0),
  libreadline-dev,
- libxml2-utils,
- meson (>= 0.49.2),
+ meson (>= 0.52.0),
  pkg-config (>= 0.28),
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git -b experimental
 
 Package: cjs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
 Description: Mozilla-based javascript bindings for the Cinnamon platform
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the
@@ -46,19 +45,18 @@
  uses.
  .
  This package contains the interactive console application.
-Breaks: cinnamon (<< 5.0~)
+Breaks: cinnamon (<< 5.4~)
 
 Package: libcjs-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends:
  cjs,
  libcairo2-dev,
  libcjs0 (= ${binary:Version}),
- libgirepository1.0-dev (>= 1.58.3),
- libmozjs-78-dev,
+ libgirepository1.0-dev (>= 1.64),
+ libmozjs-78-dev (>= 78.2.0),
  ${misc:Depends},
-Multi-Arch: same
 Description: Development files for the javascript bindings for Cinnamon
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the
@@ -71,13 +69,12 @@
  build against.
 
 Package: libcjs0
-Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
+Section: libs
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${cjs:Provides}
-Breaks: cinnamon (<< 5.0~)
+Breaks: cinnamon (<< 5.4~)
 Description: Library of the javascript bindings for the Cinnamon
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the

## cjs 5.4.1

=== debian/changelog ===
cjs (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Improve d/gbp.conf
  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 Aug 2022 11:07:03 +0200

## cjs 5.4.1%2Bvanessa

=== debian/changelog ===
cjs (5.4.1+vanessa) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove some links from the README
  * Don't use max threads for tests.
  * testCommandLine.sh: Skip a Gio.Subprocess test when inside of a circleci environment.
  * debian/rules: Limit number of threads for the build.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:20:25 +0200

cjs (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Rebase off of 1.70.0-4 (ubuntu 22.04)

  [ Clement Lefebvre ]
  * CI: Bring back config

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 09:58:05 +0200

cjs (5.2.0) una; urgency=medium

  * 5.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Nov 2021 11:39:00 +0000

## cjs 5.4.1+vanessa

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               pkg-config (>= 0.28),
               libcairo2-dev,
               libffi-dev (>= 3.3),
               libglib2.0-dev (>= 2.58.0),
               libgirepository1.0-dev (>= 1.64),
               gir1.2-gtk-3.0,
               gobject-introspection (>= 1.64),
               libmozjs-78-dev (>= 78.2.0),
               libreadline-dev,
               libcairo2-dev,
               meson (>= 0.50.0),
               dbus <!nocheck>,
               dbus-x11 <!nocheck>,
               at-spi2-core <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://github.com/linuxmint/cjs.git

Package: cjs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtk-3.0
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the interactive console application.

Package: libcjs0f
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Conflicts: libcjs0, libcjs0a, libcjs0c, libcjs0e
Replaces: libcjs0, libcjs0a, libcjs0c, libcjs0e
Provides: ${cjs:Provides}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This is the shared library applications link to.

Package: libcjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         cjs,
         libcjs0f (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.64),
         libcairo2-dev,
         libmozjs-78-dev (>= 78.2.0),
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcjs0f (= ${binary:Version}),
         ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
export DEB_BUILD_OPTIONS = parallel=8

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		-Dinstalled_tests=false \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0

override_dh_auto_test:
	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
	obj-$(DEB_HOST_GNU_TYPE)/cjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4

override_dh_strip:
	dh_strip --dbg-package=libcjs-dbg

## cjs 5.6.0

=== debian/changelog ===
cjs (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0
  * More strict deps with shlibs to avoid partial upgrades

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 19 Nov 2022 15:38:40 +0100

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>
Build-Depends:
 at-spi2-core <!nocheck>,
 dbus <!nocheck>,
 dbus-x11 <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-gnome,
 gir1.2-gtk-3.0,
 gobject-introspection (>= 1.64),
 libcairo2-dev,
 libffi-dev (>= 3.3),
 libgirepository1.0-dev (>= 1.64),
 libglib2.0-dev (>= 2.66.0),
 libmozjs-78-dev (>= 78.2.0),
 libreadline-dev,
 meson (>= 0.52.0),
 pkg-config (>= 0.28),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git

Package: cjs
Architecture: any
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.
Breaks: cinnamon (<< 5.4~)

Package: libcjs-dev
Architecture: any
Section: libdevel
Depends:
 cjs,
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.64),
 libmozjs-78-dev (>= 78.2.0),
 ${misc:Depends},
Description: Development files for the javascript bindings for Cinnamon
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${cjs:Provides}
Breaks: cinnamon (<< 5.4~)
Description: Library of the javascript bindings for the Cinnamon
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the Javascript language. It's mainly based on the
 Mozilla javascript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the shared library, used by cjs itself, and cinnamon.

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		-Dinstalled_tests=false \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0

override_dh_auto_test:
	# disable for now, have timeout in some tests in some build system
	:
#	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
#	obj-$(DEB_HOST_GNU_TYPE)/cjs-console -c 'print("Smoke-test OK")'
#	env \
#		TZ=UTC \
#	xvfb-run -a \
#	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## cjs 5.6.1+elsie

=== debian/changelog ===
cjs (5.6.1+elsie) vera; urgency=medium

  [ Fabio Fantoni ]
  * debian: other small packaging improvements (#110)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:38:37 +0000

cjs (5.6.0) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Michael Webster ]
  * Use github instead of circleci.

  [ Fabio Fantoni ]
  * remove d/control.in and add override about it in d/rules
  * libcjs0f->libcjs0g, missed from gjs 1.70.0-4 rebase
  * d/control: remove duplicate build-dep
  * try to merge tests from debian package
  * d/control: update build-dep min versions

  [ Clement Lefebvre ]
  * Rename libcj0g -> libcjs0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2022 12:04:09 +0000

cjs (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * Remove some links from the README
  * Don't use max threads for tests.
  * testCommandLine.sh: Skip a Gio.Subprocess test when inside of a circleci environment.
  * debian/rules: Limit number of threads for the build.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,7 @@
 Source: cjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
- Fabio Fantoni <fantonifabio@tiscali.it>,
- Norbert Preining <norbert@preining.info>,
- Joshua Peisach <itzswirlz2020@outlook.com>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends:
  at-spi2-core <!nocheck>,
  dbus <!nocheck>,
@@ -28,10 +22,8 @@
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
-Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git
+Standards-Version: 4.6.0
+Vcs-Git: https://github.com/linuxmint/cjs.git
 
 Package: cjs
 Architecture: any
@@ -45,10 +37,26 @@
  uses.
  .
  This package contains the interactive console application.
-Breaks: cinnamon (<< 5.4~)
+
+Package: libcjs-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: libcjs0 (= ${binary:Version}), ${misc:Depends}
+Description: Mozilla-based javascript bindings for the Cinnamon platform
+ Makes it possible for applications to use all of Cinnamon's platform
+ libraries using the JavaScript language. It's mainly based on the
+ Mozilla JavaScript engine and the GObject introspection framework.
+ .
+ This package is the frozen version of gjs that the cinnamon desktop currently
+ uses.
+ .
+ This debug package contains unstripped binaries compiled with
+ debugging symbols needed by gdb.
 
 Package: libcjs-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  cjs,
@@ -73,8 +81,9 @@
 Multi-Arch: same
 Section: libs
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libcjs0a, libcjs0c, libcjs0e, libcjs0f
+Replaces: libcjs0a, libcjs0c, libcjs0e, libcjs0f
 Provides: ${cjs:Provides}
-Breaks: cinnamon (<< 5.4~)
 Description: Library of the javascript bindings for the Cinnamon
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
export DEB_BUILD_OPTIONS = parallel=8

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		-Dinstalled_tests=false \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0

override_dh_auto_test:
	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
	obj-$(DEB_HOST_GNU_TYPE)/cjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4

override_dh_strip:
	dh_strip --dbg-package=libcjs-dbg

override_dh_gnome_clean:
	dh_gnome_clean --no-control

=== debian/tests/control ===
# TODO: GDbus and EverythingBasic are failing
# Tests: testsuite
# Depends: @, @builddeps@, build-essential, procps, dbus, xvfb, xauth, uuid-runtime
# Restrictions: build-needed allow-stderr

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

Tests: build
Depends: libcjs-dev, build-essential

# No installed tests
# Tests: installed-tests
# Depends: gjs-tests, dbus-x11, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing

## cjs 5.6.1+vera

=== debian/changelog ===
cjs (5.6.1+vera) vera; urgency=medium

  [ Fabio Fantoni ]
  * debian: other small packaging improvements (#110)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:38:37 +0000

## cjs 5.8.0

=== debian/changelog ===
cjs (5.8.0-3) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 17 Sep 2023 21:08:47 +0200

cjs (5.8.0-2) experimental; urgency=medium

  * Add cjs-tests package that contain installed tests
  * Add significant autopkgtest using cjs-tests package

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 13 Jun 2023 21:23:28 +0200

cjs (5.8.0-1) experimental; urgency=medium

  * autopkgtest: marked as superficial (Closes: #1032900)
  * New upstream version 5.8.0 (Closes: #1035931)
  * Various packaging changes for upstream gjs 1.74.2 rebase
  * Update symbols
  * Update breaks to cinnamon 5.6.8
  * Bump Standards-Version to 4.6.2, no changes required

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 09 Jun 2023 14:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,37 @@
 Source: cjs
 Section: interpreters
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Uploaders:
+ Maximiliano Curia <maxy@debian.org>,
+ Margarita Manterola <marga@debian.org>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
+ Norbert Preining <norbert@preining.info>,
+ Joshua Peisach <itzswirlz2020@outlook.com>
 Build-Depends:
  at-spi2-core <!nocheck>,
- dbus <!nocheck>,
+ dbus-daemon <!nocheck>,
  dbus-x11 <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-gir,
  dh-sequence-gnome,
  gir1.2-gtk-3.0,
- gobject-introspection (>= 1.64),
+ gobject-introspection (>= 1.71),
  libcairo2-dev,
  libffi-dev (>= 3.3),
- libgirepository1.0-dev (>= 1.64),
- libglib2.0-dev (>= 2.66.0),
- libmozjs-78-dev (>= 78.2.0),
+ libgirepository1.0-dev (>= 1.71),
+ libglib2.0-dev (>= 2.58.0),
+ libmozjs-102-dev,
  libreadline-dev,
- meson (>= 0.52.0),
+ meson (>= 0.54.0),
  pkg-config (>= 0.28),
  xauth <!nocheck>,
  xvfb <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Vcs-Git: https://github.com/linuxmint/cjs.git
+Standards-Version: 4.6.2
+Homepage: http://cinnamon.linuxmint.com/
+Vcs-Browser: https://salsa.debian.org/cinnamon-team/cjs
+Vcs-Git: https://salsa.debian.org/cinnamon-team/cjs.git
 
 Package: cjs
 Architecture: any
@@ -37,33 +45,31 @@
  uses.
  .
  This package contains the interactive console application.
+Breaks: cinnamon (<< 5.6.8~)
 
-Package: libcjs-dbg
-Section: debug
+Package: cjs-tests
 Architecture: any
-Priority: extra
-Depends: libcjs0 (= ${binary:Version}), ${misc:Depends}
-Description: Mozilla-based javascript bindings for the Cinnamon platform
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         cjs,
+         at-spi2-core
+Description: Mozilla-based javascript bindings for the Cinnamon platform (tests)
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the JavaScript language. It's mainly based on the
  Mozilla JavaScript engine and the GObject introspection framework.
  .
  This package is the frozen version of gjs that the cinnamon desktop currently
  uses.
- .
- This debug package contains unstripped binaries compiled with
- debugging symbols needed by gdb.
 
 Package: libcjs-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends:
  cjs,
  libcairo2-dev,
  libcjs0 (= ${binary:Version}),
  libgirepository1.0-dev (>= 1.64),
- libmozjs-78-dev (>= 78.2.0),
+ libmozjs-102-dev,
  ${misc:Depends},
 Description: Development files for the javascript bindings for Cinnamon
  Makes it possible for applications to use all of Cinnamon's platform
@@ -81,9 +87,8 @@
 Multi-Arch: same
 Section: libs
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libcjs0a, libcjs0c, libcjs0e, libcjs0f
-Replaces: libcjs0a, libcjs0c, libcjs0e, libcjs0f
 Provides: ${cjs:Provides}
+Breaks: cinnamon (<< 5.6.8~)
 Description: Library of the javascript bindings for the Cinnamon
  Makes it possible for applications to use all of Cinnamon's platform
  libraries using the Javascript language. It's mainly based on the

## cjs 5.8.0+faye

=== debian/changelog ===
cjs (5.8.0+faye) victoria; urgency=medium

  [ Michael Webster ]
  * Rebase off gjs 1.74.2 (mozjs102)
  * github workflow: Add optional ssh session.
  * GObject: Handle versions of GLib without GBindingGroup
  * Debian improvements

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:42:35 +0100

cjs (5.7.0) unstable; urgency=medium

  * Rebase with gjs 1.74.1/mozjs102

 -- Michael Webster <miketwebster@gmail.com>  Thu, 19 Jan 2023 10:40:44 -0500

cjs (5.6.1) vera; urgency=medium

  [ Fabio Fantoni ]
  * debian: other small packaging improvements (#110)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 10:38:37 +0000

## cjs 5.8.0+victoria

=== debian/changelog ===
cjs (5.8.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * Rebase off gjs 1.74.2 (mozjs102)
  * github workflow: Add optional ssh session.
  * GObject: Handle versions of GLib without GBindingGroup
  * Debian improvements

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:42:35 +0100

## cjs 6.0.0

=== meson_options.txt ===
# SPDX-License-Identifier: MIT OR LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2019 Philip Chimento <philip.chimento@gmail.com>

# Features

option('cairo', type: 'feature', value: 'auto',
    description: 'Build cairo module')
option('readline', type: 'feature', value: 'auto',
    description: 'Use readline for input in interactive shell and debugger')
option('profiler', type: 'feature', value: 'auto',
    description: 'Build profiler (Linux only)')

# Flags

option('installed_tests', type: 'boolean', value: false,
    description: 'Install test programs')
option('dtrace', type: 'boolean', value: false,
    description: 'Include dtrace trace support')
option('systemtap', type: 'boolean', value: false,
    description: 'Include systemtap trace support (requires -Ddtrace=true)')
option('bsymbolic_functions', type: 'boolean', value: true,
    description: 'Link with -Bsymbolic-functions linker flag used to avoid intra-library PLT jumps, if supported; not used for Visual Studio and clang-cl builds')
option('skip_dbus_tests', type: 'boolean', value: false,
    description: 'Skip tests that use a DBus session bus')
option('skip_gtk_tests', type: 'boolean', value: false,
    description: 'Skip tests that need a display connection')
option('verbose_logs', type: 'boolean', value: false,
    description: 'Enable extra log messages that may decrease performance (not allowed in release builds)')

=== debian/changelog ===
cjs (6.0.0-2build3) noble; urgency=medium

  * No-change rebuild against libmozjs-102-0t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:45:45 +0100

cjs (6.0.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:11 +0000

cjs (6.0.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:05:17 +0000

cjs (6.0.0-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * d/gbp.conf: change debian-branch and upstream-branch to follow DEP14

  [ Simon McVittie ]
  * d/control: libcjs0 Depends on gir1.2-girepository-2.0 and on typelibs
    imported by built-in modules (Closes: #1059678)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 05 Jan 2024 18:46:34 +0100

cjs (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Nov 2023 19:55:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cjs
 Section: interpreters
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -86,7 +87,14 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${gir:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends},
+ gir1.2-gio-2.0,
+ gir1.2-girepository-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gobject-2.0,
 Provides: ${cjs:Provides}
 Breaks: cinnamon (<< 5.6.8~)
 Description: Library of the javascript bindings for the Cinnamon

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
-export DEB_BUILD_OPTIONS = parallel=8
 
 include /usr/share/dpkg/default.mk
 
@@ -17,11 +16,23 @@
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dprofiler=disabled \
-		-Dinstalled_tests=false \
+		-Dinstalled_tests=true \
 		$(NULL)
+
+execute_after_dh_auto_install:
+	rm -f debian/tmp/usr/libexec/installed-tests/cjs/js/modules/*/.eslintrc.yml
 
 override_dh_girepository:
 	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0
+
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/cjs/*.so
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif
 
 override_dh_auto_test:
 	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
@@ -34,9 +45,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4
 
-override_dh_strip:
-	dh_strip --dbg-package=libcjs-dbg
-
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

=== debian/tests/control ===
Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr, superficial

Tests: build
Depends: libcjs-dev, build-essential
Restrictions: superficial

Tests: installed-tests
Depends: dbus-daemon, dbus-x11, cjs-tests, gnome-desktop-testing, xauth, xvfb

## cjs 6.0.0%2Bfaye

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dprofiler=disabled \
		-Dinstalled_tests=false \
		$(NULL)

override_dh_girepository:
	dh_girepository -l $(BUILDDIR) /usr/lib/$(DEB_HOST_MULTIARCH)/cjs/girepository-1.0

override_dh_auto_test:
	GI_TYPELIB_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
	obj-$(DEB_HOST_GNU_TYPE)/cjs-console -c 'print("Smoke-test OK")'
	env \
		TZ=UTC \
	xvfb-run -a \
	dh_auto_test -- -v -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) --timeout-multiplier 4

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/cjs-1.0 -- -c4

override_dh_strip:
	dh_strip --dbg-package=libcjs-dbg

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## cjs 6.0.0+faye

=== debian/changelog ===
cjs (6.0.0+faye) virginia; urgency=medium

  [ Dominik Opyd ]
  * fix(build, tests): move `have_gtk4` to the appropriate place

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#119)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2023 13:54:46 +0000

cjs (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * Rebase off gjs 1.74.2 (mozjs102)
  * github workflow: Add optional ssh session.
  * GObject: Handle versions of GLib without GBindingGroup
  * Debian improvements

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 13:42:35 +0100

=== debian/control ===
Source: cjs
Section: interpreters
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 at-spi2-core <!nocheck>,
 dbus-daemon <!nocheck>,
 dbus-x11 <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-gnome,
 gir1.2-gtk-3.0,
 gobject-introspection (>= 1.71),
 libcairo2-dev,
 libffi-dev (>= 3.3),
 libgirepository1.0-dev (>= 1.71),
 libglib2.0-dev (>= 2.58.0),
 libmozjs-102-dev,
 libreadline-dev,
 meson (>= 0.54.0),
 pkg-config (>= 0.28),
 xauth <!nocheck>,
 xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Git: https://github.com/linuxmint/cjs.git

Package: cjs
Architecture: any
Depends: gir1.2-gtk-3.0, ${misc:Depends}, ${shlibs:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform (cli tool)
 Makes it possible for applications to use all of Cinnamon's platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the interactive console application.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: libcjs-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libcjs0 (= ${binary:Version}), ${misc:Depends}
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This debug package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libcjs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libcairo2-dev,
 libcjs0 (= ${binary:Version}),
 libgirepository1.0-dev (>= 1.64),
 libmozjs-102-dev,
 ${misc:Depends},
Description: Mozilla-based javascript bindings for Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the development files applications need to
 build against.

Package: libcjs0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcjs0a, libcjs0c, libcjs0e, libcjs0f
Replaces: libcjs0a, libcjs0c, libcjs0e, libcjs0f
Description: Mozilla-based javascript bindings for the Cinnamon platform
 Makes it possible for applications to use all of Cinnamon platform
 libraries using the JavaScript language. It's mainly based on the
 Mozilla JavaScript engine and the GObject introspection framework.
 .
 This package is the frozen version of gjs that the cinnamon desktop currently
 uses.
 .
 This package contains the shared library, used by cjs itself, and cinnamon.

## cjs 6.0.0+virginia

=== debian/changelog ===
cjs (6.0.0+virginia) virginia; urgency=medium

  [ Dominik Opyd ]
  * fix(build, tests): move `have_gtk4` to the appropriate place

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#119)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2023 13:54:46 +0000

## cjs 6.0.0+wilma

=== debian/changelog ===
cjs (6.0.0+wilma) virginia; urgency=medium

  [ Dominik Opyd ]
  * fix(build, tests): move `have_gtk4` to the appropriate place

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#119)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2023 13:54:46 +0000

## cjs 6.2.0

=== debian/changelog ===
cjs (6.2.0-3) unstable; urgency=medium

  * d/patches/GjsPrivate-Fix-closure-annotations.patch: added a patch
    backported from gjs (Closes: #1083177)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 06 Oct 2024 14:28:23 +0200

cjs (6.2.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Run tests using dbus-run-session instead of dbus-x11 (Closes: #1079611)

  [ Fabio Fantoni ]
  * Add d/README.source with a wiki link with details about packaging
  * d/control: replace pkg-config with pkgconf
  * Update standards version to 4.7.0, no changes needed
  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 06 Sep 2024 13:30:32 +0200

cjs (6.2.0-1) experimental; urgency=medium

  * New upstream version 6.2.0 (Closes: #1054367)
    - Rebased on gjs-1.77.2
  * d/control:
    - mozjs deps from 102 to 115
    - add libxml2-utils to build-deps
  * Update symbols

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jun 2024 18:28:14 +0200
